Subject: [Megaco] [Megaco]: Syntax error at the end of a transaction ("missing }")

From: Steven Weisz <[email-masked]>
Date: Fri, 24 Aug 2001 16:16:11 -0400

Hi List,

I hate to bring this up again but I'd like to know if I have the following
right.

Let's say we have the very simple message below:

MEGACO/1 [123.123.123.4]:55555
Transaction = 14 {
  Context = 1 {
    Add = TermB {
      Media {
        Stream = 10 {
          Local {
				<----- missing "}" Local Descriptor
        }
      }
    }
  }
}

As I've indicated we are missing the "}" for the local desriptor. Logical if
follow the ABNF what we really have is:

MEGACO/1 [123.123.123.4]:55555
Transaction = 14 {
  Context = 1 {
    Add = TermB {
      Media {
        Stream = 10 {
          Local {
          }
        }
      }
    }
  }
                  <----- missing "}" for Transaction

Section 8.2.2 of RFC3015 paragraph describes this situation and the
following reply seems to be mandated.

Megaco/1 mg1.com:5555
Reply = 14 {
  Context = 1 {
    Add = TermB
  }
  Context = - {
    Error = 403 { "Syntax Error in Transaction" } 
  }
}

Is this correct? Should the context Id be the NULL ("-") context Id?

Thanks,

Steven

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco